%define _srcver 2.4.0
%define _srcname gimp-gap-%_srcver

Name: gimp-plugin-gap
Version: %_srcver
Release: alt1
Summary: The GIMP Animation Package.
Group: Graphics
License: GPL2
URL: http://www.gimp.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: gimp >= 2.4
Obsoletes: gimp-gap < %_srcver

Source: ftp://ftp.gimp.org/pub/gimp/plug-ins/v2.4/gap/%_srcname.tar.bz2
Source1: wavplay-1.4.tar.bz2

Patch0: gimp-gap-2.2.2-alt-ffmpeg.patch
Patch1: gimp-gap-2.2.2-alt-GAPLIBDIR.patch
Patch2: gimp-gap-2.2.2-alt-x86_64.patch

Patch10: wavplay-1.4-fix-compile.patch
Patch11: wavplay-1.4-alt-make.patch

Patch20: libmpeg3-1.5.4-alt-make.patch
Patch21: libmpeg3-1.5.4-gcc4.patch

# Automatically added by buildreq on Sun Aug 12 2007
BuildRequires: intltool libgimp-devel libgtk+2-devel libjpeg-devel libxvid-devel nasm
#BuildRequires: libavformat-devel
#BuildRequires: libmpeg3-devel

%description
The GIMP-GAP (GIMP Animation Package) is a collection of Plug-Ins
to extend the GIMP with capabilities to edit and create
Animations as sequences of single frames.

%prep
%setup -q -n %_srcname -a1

%__tar -xzf extern_libs/libmpeg3.tar.gz -C extern_libs

#patch0 -p1
%patch1 -p1

%ifarch x86_64
%patch2 -p1
%endif

%patch10 -p0
%patch11 -p0

%patch20 -p1
%patch21 -p1

%build
pushd extern_libs/libmpeg3
%make
popd

%autoreconf
%configure \
	--with-preinstalled-libmpeg3incdir=%_builddir/%_srcname/extern_libs/libmpeg3 \
	--with-preinstalled-libmpeg3=%_builddir/%_srcname/extern_libs/libmpeg3/libs/libmpeg3.a
%make_build

cd wavplay-1.4
%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD wavplay-1.4/wavplay %buildroot%_bindir/wavplay
%__ln_s wavplay %buildroot%_bindir/wavrec

%__rm -f %buildroot%_datadir/gimp-gap-2.4/*.a

%find_lang --output=%name.lang gimp20-gap

%files -f %name.lang
%doc AUTHORS NEWS README
%_bindir/*
%_libdir/gimp/2.0/plug-ins/gap_*
%_datadir/gimp/2.0/scripts/*.scm
%_datadir/gimp-gap-2.4

%changelog
* Wed Jan 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Aug 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Mon Jan 16 2006 Anatoly Yakushin <jaa@altlinux.ru> 2.0.2-alt2
- spec minor bugs fixed 

* Sat May 22 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.2-alt1
- initial ALT package 

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.0
- initial build

